### Method

# Gimp Vector2 add_val

#### Declaration [src]

    GimpVector2
    gimp_vector2_add_val (
      GimpVector2 vector1,
      GimpVector2 vector2
    )

#### Description [src]

This function is identical to `gimp_vector2_add()` but the vectors are passed by value rather than by reference.

#### Parameters

`vector2`

  Type: `GimpVector2`

  The second `GimpVector2`.

#### Return value

Type: `GimpVector2`

The resulting `GimpVector2`.